wreport::tabledir::BufrTable Struct Reference

Information about a version of a BUFR table. More...

`#include <tabledir.h>`

Inheritance diagram for wreport::tabledir::BufrTable:

## Public Member Functions

| BufrTable (const BufrTableID &id, const std::string &dirname, const std::string &filename)
void | print_id (FILE *out) const override
Public Member Functions inherited from wreport::tabledir::Table
| Table (const std::string &dirname, const std::string &filename)

## Data Fields

BufrTableID | id
Data Fields inherited from wreport::tabledir::Table
std::string | btable_id
std::string | btable_pathname
std::string | dtable_id
std::string | dtable_pathname

## Detailed Description

Information about a version of a BUFR table.

## Member Function Documentation

## print_id()

void wreport::tabledir::BufrTable::print_id | ( | FILE * | out | ) | const

override virtual

Reimplemented from wreport::tabledir::Table.

The documentation for this struct was generated from the following file:

- tabledir.h